API ReferenceapicommsDELETE /v1/suppressions/{id}

DELETE /v1/suppressions/\{id\}

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Suppression lifted

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "email": {
      "type": "string"
    },
    "reason": {
      "type": "string"
    },
    "source": {
      "type": "string"
    },
    "suppressed_at": {
      "type": "string"
    },
    "lifted_at": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "id",
    "brand_id",
    "email",
    "reason",
    "source",
    "suppressed_at",
    "lifted_at"
  ]
}

404 Suppression not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X DELETE https://comms.platform.loop.health/v1/suppressions/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"